OpenJPEG: opj_pi_iterator Struct Reference

OpenJPEG 2.5.0

Data Fields
opj_pi_iterator Struct Reference

Packet iterator. More...

`#include <pi.h>`

## Data Fields
OPJ_BYTE | tp_on
| Enabling Tile part generation. More...
OPJ_INT16 * | include
| precise if the packet has been already used (useful for progression order change) More...
OPJ_UINT32 | include_size
| Number of elements in include array. More...
OPJ_UINT32 | step_l
| layer step used to localize the packet in the include vector More...
OPJ_UINT32 | step_r
| resolution step used to localize the packet in the include vector More...
OPJ_UINT32 | step_c
| component step used to localize the packet in the include vector More...
OPJ_UINT32 | step_p
| precinct step used to localize the packet in the include vector More...
OPJ_UINT32 | compno
| component that identify the packet More...
OPJ_UINT32 | resno
| resolution that identify the packet More...
OPJ_UINT32 | precno
| precinct that identify the packet More...
OPJ_UINT32 | layno
| layer that identify the packet More...
OPJ_BOOL | first
| 0 if the first packet More...
opj_poc_t | poc
| progression order change information More...
OPJ_UINT32 | numcomps
| number of components in the image More...
opj_pi_comp_t * | comps
| Components. More...
OPJ_UINT32 | tx0
| FIXME DOC. More...
OPJ_UINT32 | ty0
OPJ_UINT32 | tx1
OPJ_UINT32 | ty1
OPJ_UINT32 | x
| FIXME DOC. More...
OPJ_UINT32 | y
OPJ_UINT32 | dx
| FIXME DOC. More...
OPJ_UINT32 | dy
opj_event_mgr_t * | manager
| event manager More...

## Detailed Description

Packet iterator.

## Field Documentation

## ◆ compno

OPJ_UINT32 opj_pi_iterator::compno

component that identify the packet

Referenced by opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_t2_decode_packets(), opj_t2_encode_packet(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## ◆ comps

opj_pi_comp_t* opj_pi_iterator::comps

Components.

Referenced by opj_pi_create(), opj_pi_create_decode(), opj_pi_destroy(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), and opj_pi_next_rpcl().

## ◆ dx

OPJ_UINT32 opj_pi_iterator::dx

FIXME DOC.

Referenced by opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## ◆ dy

OPJ_UINT32 opj_pi_iterator::dy

Referenced by opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## ◆ first

OPJ_BOOL opj_pi_iterator::first

0 if the first packet

Referenced by opj_pi_create_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_pi_update_decode_not_poc(), and opj_pi_update_decode_poc().

## ◆ include

OPJ_INT16* opj_pi_iterator::include

precise if the packet has been already used (useful for progression order change)

Referenced by opj_pi_create_decode(), opj_pi_destroy(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), and opj_pi_next_rpcl().

## ◆ include_size

OPJ_UINT32 opj_pi_iterator::include_size

Number of elements in include array.

Referenced by opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), and opj_pi_next_rpcl().

## ◆ layno

OPJ_UINT32 opj_pi_iterator::layno

layer that identify the packet

Referenced by opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_t2_decode_packets(), opj_t2_encode_packet(), opj_t2_encode_packets(), and opj_t2_read_packet_header().

## ◆ manager

opj_event_mgr_t* opj_pi_iterator::manager

event manager

Referenced by opj_pi_create(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), and opj_pi_next_rpcl().

## ◆ numcomps

OPJ_UINT32 opj_pi_iterator::numcomps

number of components in the image

Referenced by opj_pi_create(), opj_pi_destroy(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), and opj_pi_update_decode_not_poc().

## ◆ poc

opj_poc_t opj_pi_iterator::poc

progression order change information

Referenced by opj_pi_create_encode(), opj_pi_next(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_pi_update_decode_not_poc(), opj_pi_update_decode_poc(), opj_t2_decode_packets(), and opj_t2_encode_packets().

## ◆ precno

OPJ_UINT32 opj_pi_iterator::precno

precinct that identify the packet

Referenced by opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_t2_decode_packets(), opj_t2_encode_packet(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## ◆ resno

OPJ_UINT32 opj_pi_iterator::resno

resolution that identify the packet

Referenced by opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_t2_decode_packets(), opj_t2_encode_packet(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## ◆ step_c

OPJ_UINT32 opj_pi_iterator::step_c

component step used to localize the packet in the include vector

Referenced by opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), and opj_pi_next_rpcl().

## ◆ step_l

OPJ_UINT32 opj_pi_iterator::step_l

layer step used to localize the packet in the include vector

Referenced by opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), and opj_pi_next_rpcl().

## ◆ step_p

OPJ_UINT32 opj_pi_iterator::step_p

precinct step used to localize the packet in the include vector

Referenced by opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), and opj_pi_next_rpcl().

## ◆ step_r

OPJ_UINT32 opj_pi_iterator::step_r

resolution step used to localize the packet in the include vector

Referenced by opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), and opj_pi_next_rpcl().

## ◆ tp_on

OPJ_BYTE opj_pi_iterator::tp_on

Enabling Tile part generation.

Referenced by opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), and opj_pi_next_rpcl().

## ◆ tx0

OPJ_UINT32 opj_pi_iterator::tx0

FIXME DOC.

Referenced by opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## ◆ tx1

OPJ_UINT32 opj_pi_iterator::tx1

Referenced by opj_pi_create_decode(), opj_pi_create_encode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## ◆ ty0

OPJ_UINT32 opj_pi_iterator::ty0

Referenced by opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## ◆ ty1

OPJ_UINT32 opj_pi_iterator::ty1

Referenced by opj_pi_create_decode(), opj_pi_create_encode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## ◆ x

OPJ_UINT32 opj_pi_iterator::x

FIXME DOC.

Referenced by opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## ◆ y

OPJ_UINT32 opj_pi_iterator::y

Referenced by opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

The documentation for this struct was generated from the following file:

- pi.h